Scriptname SoSCivSnore extends ObjectReference  
{Script attached to Render Window bed references that allows specific NPCs to play the snore SFX.}

Actor Property SnoringActor  Auto  
Sound Property SnoringSoundFX  Auto

Int Property SnoringPlay Auto
Int Property CurrentlySnoring Auto

Event OnInit()
		RegisterForSingleUpdate(0.5)
		GoToState("Snoring")
EndEvent


State Snoring

    Event OnUpdate()
	If CurrentlySnoring == 0
       RegisterForSingleUpdate(0.5)
         If (SnoringActor.GetSleepState() == 3)
                Debug.Trace("Currently Sleeping")
                SnoringPlay = SnoringSoundFX.Play(SnoringActor)
                CurrentlySnoring = 1
                Return
            endif
        Endif

	If CurrentlySnoring == 1
	RegisterForSingleUpdate(0.5)
       	 If (SnoringActor.GetSleepState() != 3)
                Debug.Trace("Currently Awake")
                Sound.StopInstance(SnoringPlay)
                CurrentlySnoring = 0

                Return
            Endif
        Endif
    EndEvent

EndState